<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <LangVersion>8</LangVersion>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>1701;1702;CS8625;CS8602;CS8603;CS8601;CS8619;CS8618;CS8620</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="CapnpC.CSharp.MsBuild.Generation" Version="1.3.118" />
    <PackageReference Include="Microsoft.Extensions.Logging.Log4Net.AspNetCore" Version="6.1.0" />
    <PackageReference Include="NLog" Version="5.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\external\capnproto-dotnetcore\Capnp.Net.Runtime\Capnp.Net.Runtime.csproj" />
    <ProjectReference Include="..\external\SASL\S22.Sasl.csproj" />
  </ItemGroup>

</Project>
